﻿using Avalonia.Controls;
using Avalonia.Controls.Templates;
using Avalonia.Data;
using Avalonia.Markup.Xaml.Templates;
using Avalonia.Media;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Avalonia.Components;

public class AvaloniaDataGridImageColumn<TEntity> : AvaloniaDataGridColumn<TEntity, IImage>
{
    public override bool Searchable => false;

    public override DataGridColumn CreateColumn()
    {
        var column = CreateColumn<DataGridTemplateColumn>();
        column.CellTemplate = new FuncDataTemplate<object?>((value, scope) =>
        {
            var image = new Image();
            image.Bind(Image.SourceProperty, new Binding(ColumnName));
            return image;
        });
        return column;
    }

    public override bool Filter(TEntity item, string filter)
    {
        return false;
    }
}
